
// Pozor: neintuitivní operace remove()
// remove algorithm example
// source: http://www.cplusplus.com/reference/algorithm/remove/

#include <iostream>     // std::cout
#include <algorithm>    // std::remove
//#include <iterator>     // std::begin+end

int main () {
    using namespace std;

    int pole[] = {10,20,30,30,20,10,10,20}; // 10 20 30 30 20 10 10 20

    // obsah kontejneru:
    cout << "Pole:  ";
    for(auto i: pole)
        cout << ' ' << i;
    cout << '\n';

    cout << "remove(begin(pole), end(pole), 20)\n";
    int *newend = remove(begin(pole), end(pole), 20); // 10 30 30 10 10 ?  ?  ?
    // POZOR: nezkracuje kontejner (např. u pole to není možné)

    // výsledný obsah kontejneru:
    cout << "Pole:  ";
    for(auto i: pole)
        cout << ' ' << i;
    cout << '\n';

    cout << "Rozsah:";
    for(auto p=begin(pole); p!=newend; ++p)
        cout << ' ' << *p;
    cout << '\n';
}
