// Erathostenovo sto ve standardnm C++11
// Tisk prvosel do zadanho limitu

#include <iostream>
#include <vector>
#include <cmath>

const long N = 100;             // hledme prvosla men ne N

int main()
{
    using namespace std;
    vector<bool> pole(N, true);    // deklarace pole bit, vechny true
    pole[0] = pole[1] = false;          // 0, 1 nejsou prvosla
    for (long i = 2; i <= sqrt(N); i++) {
        if (pole[i])                    // i je prvoslo
            for (long j = i + i; j < N; j += i)
                pole[j] = false;        // nsobky nejsou prvosla
    }
    // tisk vech prvosel mench ne N
    for (long i = 0; i < N; i++)
        if (pole[i])
            cout << i << endl;
}
