
// simple example of using as typedef replacement (same semantics)

#include <iostream>

using T = int;          // type int
using F = int(int,int); // type function

int f(int a, int b) {   // compatible with F
   return a+b;
}

int main() {
  T a{};
  T b{1};               // uniform initialization syntax
  F *fptr = f;          // function pointer
  std::cout << fptr(a,b) << "\n";     // ... call
}
