// ctr2v.cc -- virtuln metody a konstruktory
//
// krokovat, sledovat voln virtuln metody v konstruktoru
//

#include <iostream>
using namespace std;

class A {
 public:
  A() {
    m(); // nepm voln virtuln metody V
  }
  void m() { V(); }
  virtual void V() { cout << 'A'; }
};

class B : public A {
 public:
  B() {
    m(); // viz A::m()
  }
  virtual void V() { cout << 'B'; }
};

int main() {
  B b;           // vytiskne AB, prvn voln V() nen "virtuln" 
  A *p = &b;     // polymorfn rozhran
  p->m();        // vytiskne B
  return 0;
}
