//
// stream3.cc -- definice vstup/vst. opertor
//

#include <iostream>
using namespace std;

// tda
class Complex {
  double real, imag;
 public:
  Complex() { real = imag = 0; }
  Complex(double r, double i=0) { real = r; imag = i; }
  double Real() { return real; }
  double Imag() { return imag; }
  friend Complex operator +(Complex c1, Complex c2);
};

Complex operator +(Complex c1, Complex c2) {
  return Complex(c1.real + c2.real, c1.imag + c2.imag);
}

// vstupn opertor pro Complex
ostream& operator << (ostream &s, Complex &x)
{
  return s << '(' << x.Real() << ',' << x.Imag() << ')' ;
}

int main()
{
    Complex  a(0,1),
             b(1,0);
    Complex  c = a + b;

    cout << " a = " << a << endl;
    cout << " b = " << b << endl;
    cout << "----------" << endl;
    cout << " c = " << c << endl;

}

