
//

#include <string>
#include <iostream>
#include <locale>
#include <codecvt>      // std::codecvt_utf8

int main() {

    std::string s8 = " UTF8 ěščřžýáíé";
    std::u16string s16 = u" UTF16 ěščřžýáíé";
    std::u32string s32 = U" UTF32 UCS4 ěščřžýáíé";

    // place some suspicious character
    s16[0] = 12345;
    s32[0] = 12345;

    std::cout << s8 << "\n";

    std::wstring_convert<std::codecvt_utf8<char16_t>, char16_t> cv16;
    std::cout << cv16.to_bytes(s16) << "\n";

    std::wstring_convert<std::codecvt_utf8<char32_t>, char32_t> cv;
    std::cout << cv.to_bytes(s32) << "\n";
}
