
#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

vector<int> c { 0, 1, 2, 3, 14, 15 };

bool isOdd(int i)
{
    return i % 2 == 1;
}

bool lessThan10(int i)
{
    return i < 10;
}

int main()
{
//    all_of ( c, isOdd ); // --> false
    cout << " " <<
    all_of(c.begin(), c.end(), lessThan10);     // --> false
    cout << " " <<
    all_of(c.begin(), c.begin() + 3, lessThan10);       // --> true
    cout << " " <<
    all_of(c.end(), c.end(), isOdd);    // --> true  // empty range
    cout << endl;

//    all_of_equal ( c, 3 ); // --> false
//    all_of_equal ( c.begin () + 3, c.begin () + 4, 3 ); // --> true
//    all_of_equal ( c.begin (), c.begin (), 99 ); // --> true  // empty range
    cout << endl;

//any_of ( c, isOdd ); // --> true
any_of ( c.begin (), c.end (), lessThan10 ); // --> true
any_of ( c.begin () + 4, c.end (), lessThan10 ); // --> false
any_of ( c.end (), c.end (), isOdd ); // --> false  // empty range
//any_of_equal ( c, 3 ); // --> true
//any_of_equal ( c.begin (), c.begin () + 3, 3 ); // --> false
//any_of_equal ( c.begin (), c.begin (), 99 ); // --> false  // empty range

//none_of ( c, isOdd ); // --> false
none_of ( c.begin (), c.end (), lessThan10 ); // --> false
none_of ( c.begin () + 4, c.end (), lessThan10 ); // --> true
none_of ( c.end (), c.end (), isOdd ); // --> true  // empty range
// none_of_equal ( c, 3 ) --> false
// none_of_equal ( c.begin (), c.begin () + 3, 3 ) --> true
// none_of_equal ( c.begin (), c.begin (), 99 ) --> true  // empty range

// one_of ( c, isOdd ) --> false
//one_of ( c.begin (), c.end (), lessThan10 ); // --> false
//one_of ( c.begin () + 3, c.end (), lessThan10 ); // --> true
//one_of ( c.end (), c.end (), isOdd ); // --> false  // empty range
// one_of_equal ( c, 3 ) --> true
// one_of_equal ( c.begin (), c.begin () + 3, 3 ) --> false
// one_of_equal ( c.begin (), c.begin (), 99 ) --> false  // empty range

}
