
#include <forward_list>
#include <algorithm>
#include <iostream>
 
int main()
{
    std::forward_list<int> l = { 1,100,2,3,10,1,11,-1,12, -2 ,3,3,3,};
 
    l.remove(1); // remove both elements equal to 1
    l.remove_if([](int n){ return n > 10; }); // remove all elements greater than 10

    l.insert_after(l.begin(),1000);
    l.push_front(666);
    l.sort();
    l.reverse();
    if(!l.empty()) {
        std::cout << "First element = " << l.front() << '\n'; 
        auto it = std::find(l.begin(),l.end(),2);
        if(it!=l.end())
            l.erase_after(it);
        l.unique();
        l.resize(8);
    }
    for (int n : l) {
        std::cout << n << ' '; 
    }
    std::cout << '\n';
    l.clear();
}
