
// c++17: fold expressions in variadic templates

#include <iostream>

template<typename ... Tparams>
void println(Tparams ... args) {
    ((std::cout << args), ...);
    std::cout << std::endl;
}

int main(int argc, char *argv[]) {
    println(11.0, ' ', 2, " pi=", 3.14);
}

