
// source: https://en.cppreference.com/w/cpp/types/rank

#include <iostream>
#include <type_traits>

int main()
{
    struct s { int a[5]; };
    std::cout << std::rank<int>{} << "\n";
    std::cout << std::rank<s>{} << '\n';
    std::cout << std::rank<decltype(s::a)>{} << '\n';
    std::cout << std::rank<int[5]>{} << '\n';
    std::cout << std::rank<int[5][5]>{} << '\n';
    std::cout << std::rank<int[][5][5]>{} << '\n';
    std::cout << std::rank<std::remove_extent<int[][5][5]>::type>{} << '\n';
}

