// ctrdtr.cc -- konstruktory a destruktory

#include <iostream>
using namespace std;

class X {
 public:
  X()           { cout << "X::X()\n"; }
  X(int x)      { cout << "X::X(int)\n"; }
  X(const X &x) { cout << "X::X(const X&)\n"; }
  ~X()          { cout << "X::~X();\n"; }
};

// globln objekt:
X o1;            // implicitn konstruktor X::X()

void f(X) {
  cout << "  funkce void f(X)\n";
}

void g(X&) {
  cout << "  funkce void g(X&)\n";
}

int main() {
  cout << "=== zatek main\n";

  // lokln objekty:
  X o2(1);       // konstruktor X::X(int)
  X o3(o1);      // koprovac konstruktor X::X(const X&)

  cout << "parametr funkce pedan hodnotou:\n";
  f(o1);
  cout << "parametr funkce pedan odkazem:\n";
  g(o1);

  cout << "=== bude konec main\n";

} // zde se ru lokln objekty!


